Loading...
Searching...
No Matches
BALL::VIEW::LogEvent Class Reference

Event class used for thread safe output to logview. More...

`#include <BALL/VIEW/KERNEL/common.h>`

Inheritance diagram for BALL::VIEW::LogEvent:

## Public Member Functions

| LogEvent ()
void | setMessage (const String &msg)
String | getMessage ()
bool | isImportant ()
| will allways be shown in Statusbar or just when no other message shown?
void | setImportant (bool state)
bool | showOnlyInLogView () const
| only show in logview, no change to status bar
void | setShowOnlyInLogView (bool state)

## Protected Attributes

String | message_
bool | important_
bool | only_log_

## Detailed Description

Event class used for thread safe output to logview.

Definition at line 322 of file VIEW/KERNEL/common.h.

## Constructor & Destructor Documentation

## LogEvent()

BALL::VIEW::LogEvent::LogEvent | ( |  | ) |

## Member Function Documentation

## getMessage()

String BALL::VIEW::LogEvent::getMessage | ( |  | ) |

inline

Definition at line 334 of file VIEW/KERNEL/common.h.

## isImportant()

bool BALL::VIEW::LogEvent::isImportant | ( |  | ) |

inline

will allways be shown in Statusbar or just when no other message shown?

Definition at line 337 of file VIEW/KERNEL/common.h.

## setImportant()

void BALL::VIEW::LogEvent::setImportant | ( | bool | state | ) |

inline

Definition at line 340 of file VIEW/KERNEL/common.h.

## setMessage()

void BALL::VIEW::LogEvent::setMessage | ( | const String & | msg | ) |

inline

Definition at line 331 of file VIEW/KERNEL/common.h.

## setShowOnlyInLogView()

void BALL::VIEW::LogEvent::setShowOnlyInLogView | ( | bool | state | ) |

inline

Definition at line 346 of file VIEW/KERNEL/common.h.

## showOnlyInLogView()

bool BALL::VIEW::LogEvent::showOnlyInLogView | ( |  | ) | const

inline

only show in logview, no change to status bar

Definition at line 343 of file VIEW/KERNEL/common.h.

## Member Data Documentation

## important_

bool BALL::VIEW::LogEvent::important_

protected

Definition at line 350 of file VIEW/KERNEL/common.h.

## message_

String BALL::VIEW::LogEvent::message_

protected

Definition at line 349 of file VIEW/KERNEL/common.h.

## only_log_

bool BALL::VIEW::LogEvent::only_log_

protected

Definition at line 351 of file VIEW/KERNEL/common.h.